/***************************************************************************
* File Name: hal430_RS232Tx.h
* Processor(s): MSP430F16x (tested), MSP430F14x (not tested)
* Compiler: Code Composer Studio V4 (4.2.5.00005)
* 
* Copyright  2012 Playing With Fusion, Inc.
* SOFTWARE LICENSE AGREEMENT: This code is released under the MIT License. 
* 
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
* 
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
* 
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
* FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
* DEALINGS IN THE SOFTWARE.
* **************************************************************************
* REVISION HISTORY:
* Author			Date		Comments
* J. Steinlage		2012Dec16	Original version
* 
* **************************************************************************
* ADDITIONAL NOTES:
* This file contains function prototypes used in hal430_RS232Tx.c
***************************************************************************/

#ifndef __HAL_RS232TX_H_
#define __HAL_RS232TX_H_

#include "msp430_typeDef.h"
#include "pwf_an0001_struct.h"

void RS232_Tx_init(void);
void RS232_putchar(unsigned char data);
void RS232_putCharStr(char *data);
void RS232_return(void);
void RS232_tab(void);
void RS232_disable(void);
void uart_single_ch_write(struct var_signed16 *TC_ptr);
void update_uart_250ms(void);

#endif	/* __HAL_RS232TX_H_ */
